.

Ответы на вопросы

2

У меня есть сценарий, который я хотел бы продолжить использовать, но, похоже, я либо должен найти какой-то обходной путь для ошибки в Python 3, или понизить до 2,6, и, таким образом, того, чтобы понизить другие сценарии, а ...

Надеюсь, кто-то здесь уже успел найти обходной путь.

27 December 2008 в 21:45
6

Я обновил мой переводчик питона, но я думаю, что старый по-прежнему называется. Когда я проверяю версию я получаю:

24 May 2009 в 16:55
4

У меня есть веб-страница в python, я могу получить IP-адрес пользователя, который будет доступ к нашей веб-странице, мы хотим получить Mac адрес компьютера пользователя, это возможно в питоне, мы используем Linux PC, мы хотим, чтобы получить его на linux.

07 July 2009 в 13:35
3

Python 3.x переименован в низкоуровневый модуль "поток" на "_thread" - я не понимаю, почему в документации. Кто-нибудь знает?

17 July 2009 в 01:04
2

Кто-нибудь нашел версию pywin32 for python 3.x? The latest available appears to be for 2.6. для питона 3.x? Последний доступный, как представляется, для 2.6.

Кроме того, как бы я "ролл мои собственные"

29 June 2009 в 09:56
4

Я в настоящее время игрушка с питоном у себя дома, и я планирую перейти на питона 3.1. Дело в том, что у меня есть сценарий, который использует python 2.6, и я не могу преобразовать их, так как они используют некоторые модули, которые не доступны для python 3.1 3.1 3m. Так что я рассматриваю во

04 July 2009 в 18:02
2

Я пишу довольно простой веб-сервер http в python3. Веб-сервер должен быть простым - только основные чтения из файлов config и т.д. Я использую только стандартные библиотеки и на данный момент он работает довольно нормально.

Есть только одно требование к этому проекту, которое я н

23 April 2009 в 12:20
6

Python 3.0 находится в бета-версии с окончательным релизом в ближайшее время. Очевидно, что это займет некоторое значительное время для общего принятия и для того, чтобы в конечном итоге заменить 2.x.

Я пишу учебник по некоторым аспектам программирования Python. Мне интересно, е

16 October 2008 в 19:19
2
Что будет Python 3.0 эквивалентно такому вызову?

C API в Python 3.0 изменил (увял) многие функции для файловых объектов.

До, в 2.X, вы могли бы использовать

22 May 2009 в 14:23
4

У меня есть очень простая часть кода, который я использовал в предыдущих версиях Python без проблем (версия 2.5 и до). Теперь с 3.0, следующий код дает ошибку на линии входа "аргумент 1 должен быть строка или буфер, а не str".

14 February 2009 в 17:20
2

Я работаю над получением 2,5 модуль портирован до 3,0, в основном для моего собственного образования, когда я застрял. Класс "Строитель" имеет как свое init:

05 December 2008 в 08:35
6

Я хотел бы начать обучение Python (нулевой прошлый опыт). Я немного склонен начать с Python 3.0. Тем не менее, я не уверен, что в настоящее время существует редактор GUI, который был бы совместим с Python 3.0. Я пытался установить Поляну, но тот, который у меня есть работает только с Python 2.5

29 April 2009 в 03:37
7

Как бы я это сделал? Причина в том, что я хотел попробовать некоторые pygame, но у меня есть питон 3 установлен в настоящее время и были обучения с этим. Я также заинтересован в опробовать wxpython или что-то подобное, но я не смотрел на их совместимости еще.

EDIT:: им на окнах пе

26 May 2009 в 23:02
2

Я не могу, кажется, чтобы получить

30 January 2009 в 23:35